#
# spec file for package rubygem-js-routes
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-js-routes
Version:        1.4.1
Release:        lp152.3.3
%define mod_name js-routes
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/railsware/js-routes
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Brings Rails named routes to javascript
License:        MIT
Group:          Development/Languages/Ruby

%description
Generates javascript file that defines all Rails named routes as javascript
helpers.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt Readme.md" \
  -f

%gem_packages

%changelog
* Mon Sep 11 2017 coolo@suse.com
- updated to version 1.4.1
  see installed CHANGELOG.md
  [#]# v1.4.1
  * Fixed bug when js-routes is used in envs without window.location #224
  [#]# v1.4.0
  * __breaking change!__ Implemented Routes.config() and Routes.configure instead of Routes.defaults
  New methods support 4 options at the moment:
  ``` js
  Routes.configuration(); // =>
  /*
  {
    prefix: "",
    default_url_options: {},
    special_options_key: '_options',
    serializer: function(...) { ... }
  }
  * /
  Routes.configure({
  prefix: '/app',
  default_url_options: {format: 'json'},
  special_options_key: '_my_options_key',
  serializer: function(...) { ... }
  });
  ```
  [#]# v1.3.3
  * Improved optional parameters support #216
  [#]# v1.3.2
  * Added `application` option #214
  [#]# v1.3.1
  * Raise error object with id null passed as route paramter #209
  * Sprockets bugfixes #212
* Wed Mar  1 2017 coolo@suse.com
- updated to version 1.3.3
  see installed CHANGELOG.md
* Fri Dec  9 2016 coolo@suse.com
- updated to version 1.3.2
  see installed CHANGELOG.md
* Tue Nov 29 2016 coolo@suse.com
- updated to version 1.3.1
  see installed CHANGELOG.md
  [#]# v1.3.0
  * Introduce the special _options key. Fixes #86
* Thu Aug 18 2016 coolo@suse.com
- updated to version 1.3.0
  see installed CHANGELOG.md
* Thu Aug 11 2016 coolo@suse.com
- updated to version 1.2.9
  see installed CHANGELOG.md
  [#]# v1.2.9
  * Fixed deprecation varning on Sprockets 3.7
* Sat Aug  6 2016 coolo@suse.com
- updated to version 1.2.8
  see installed CHANGELOG.md
  [#]# v1.2.8
  * Bugfix warning on Sprockets 4.0 #202
* Fri Jul 15 2016 coolo@suse.com
- updated to version 1.2.7
  see installed CHANGELOG.md
  [#]# v1.2.7
  * Drop support 1.9.3
  * Add helper for indexOf, if no native implementation in JS engine
  * Add sprockets3 compatibility
  * Bugfix domain defaults to path #197
* Fri Jun  3 2016 coolo@suse.com
- updated to version 1.2.6
  see installed CHANGELOG.md
  [#]# v1.2.6
  * Use default prefix from `Rails.application.config.relative_url_root` #186
  * Bugfix route globbing with optional fragments bug #191
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.2.5
  see installed CHANGELOG.md
  [#]# v1.2.5
  * Bugfix subdomain default parameter in routes #184
  * Bugfix infinite recursion in some specific route sets #183
  [#]# v1.2.4
  * Additional bugfixes to support all versions of Sprockets: 2.x and 3.x
* Sun Feb 14 2016 coolo@suse.com
- updated to version 1.2.4
  see installed CHANGELOG.md
* Thu Jan 28 2016 coolo@suse.com
- updated to version 1.2.3
  see installed CHANGELOG.md
  [#]# v1.2.3
  * Sprockets ~= 3.0 support
  [#]# v1.2.2
  * Sprockets ~= 3.0 support
  * Support default parameters specified in route.rb file
* Thu Jan 21 2016 coolo@suse.com
- updated to version 1.2.2
  see installed CHANGELOG.md
  [#]# v1.2.1
  * Fixes for Rails 5
  [#]# v1.2.0
  * Support host, port and protocol inline parameters
  * Support host, port and protocol parameters given to a route explicitly
  * Remove all incompatibilities between actiondispatch and js-routes in handling route URLs
  [#]# v1.1.2
  * Bugfix support nested object null parameters #164
  * Bugfix support for nested optional parameters #162 #163
* Tue Sep 15 2015 coolo@suse.com
- updated to version 1.1.2
  see installed CHANGELOG.md
  [#]# v1.1.1
  * Bugfix regression in serialisation on blank strings caused by [#155](https://github.com/railsware/js-routes/pull/155/files)
* Fri Sep 11 2015 coolo@suse.com
- updated to version 1.1.1
  see installed CHANGELOG.md
* Thu Aug  6 2015 coolo@suse.com
- updated to version 1.1.0
  see installed CHANGELOG.md
  [#]# v1.1.0
  * Ensure routes are loaded, prior to generating them [#148](https://github.com/railsware/js-routes/pull/148)
  * Use `flat_map` rather than `map{...}.flatten` [#149](https://github.com/railsware/js-routes/pull/149)
  * URL escape routes.rb url to fix bad URI(is not URI?) error [#150](https://github.com/railsware/js-routes/pull/150)
  * Fix for rails 5 - test rails-edge on travis allowing failure [#151](https://github.com/railsware/js-routes/pull/151)
  * Adds `serializer` option [#155](https://github.com/railsware/js-routes/pull/155/files)
  [#]# v1.0.1
  * Support sprockets-3
  * Performance optimization of include/exclude options
* Thu Apr 23 2015 coolo@suse.com
- updated to version 1.0.1
  see installed CHANGELOG.md
  [#]# v1.0.0
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.0.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Wed Apr 23 2014 tboerger@suse.com
- Initial packaging of 0.9.7
